WebFlake is currently in the process of upgrading fully to IPS 4.2.
We are aware that various functions may not be working correctly, or missing entirely.
Please use our Bug Tracker and Suggestions Tracker to help us with this transition.

You can dismiss this message at your discretion. Thanks!

Jump to content
  • 0
MedVede

Error on IPS4

Question

MedVede    1
Posted (edited)

Could anyone help me ? 

 


Parse error: syntax error, unexpected T_OBJECT_OPERATOR in /home/newsantos/domains/webshelp.lt/public_html/system/Member/Member.php on line 2802

 

and this is the line from code

 

				}
				
				$fields[ $profileFieldGroup ] = ( new \IPS\core\ProfileFields\Api\FieldGroup( $this->language()->get( 'core_pfieldgroups_' . $profileFieldGroup ), $groupValues ) )->apiOutput();
			}
		}

 

Edited by MedVede

Share this post


Link to post
Share on other sites

12 answers to this question

Recommended Posts

  • 0
MedVede    1

Cheers for answers problem was I required to update php version <3

  • Upvote 1

Share this post


Link to post
Share on other sites
  • 0
Cookie Monster    644
35 minutes ago, MedVede said:

Could anyone help me ? 

 


Parse error: syntax error, unexpected T_OBJECT_OPERATOR in /home/newsantos/domains/webshelp.lt/public_html/system/Member/Member.php on line 2802

 

and this is the line from code

 

				}
				
				$fields[ $profileFieldGroup ] = ( new \IPS\core\ProfileFields\Api\FieldGroup( $this->language()->get( 'core_pfieldgroups_' . $profileFieldGroup ), $groupValues ) )->apiOutput();
			}
		}

 

Did you add any custom fields by any chance ? That error has something to do with custom profile fields. The values or something you have entered throws the error.

Share this post


Link to post
Share on other sites
  • 0
MedVede    1

I've uploaded clean files and tried to install and got this error

Share this post


Link to post
Share on other sites
  • 0
Faraonii    12

Did you tried to change php version to 5.6 or 7.0/7.1?

Share this post


Link to post
Share on other sites
  • 0
Cookie Monster    644
1 hour ago, Faraonii said:

Did you tried to change php version to 5.6 or 7.0/7.1?

Well IPS 4.1.x should support 7.x and not throw that error.

@MedVede Could you try upload that file and overwrite it.

Also when do you get the error, and where did you get the release from ?

Share this post


Link to post
Share on other sites
  • 0
killshandra    85
10 hours ago, Cookie Monster said:

Well IPS 4.1.x should support 7.x and not throw that error.

@MedVede Could you try upload that file and overwrite it.

Also when do you get the error, and where did you get the release from ?

this if the hosting has automaticly enabled the function you need for ip board, sometimes shared hosting have the basic or almost none of the function, in the php selection  panel. 

 

hope it clear im still on my first cup of coffee

Share this post


Link to post
Share on other sites
  • 0
Cookie Monster    644
5 hours ago, killshandra said:

this if the hosting has automaticly enabled the function you need for ip board, sometimes shared hosting have the basic or almost none of the function, in the php selection  panel. 

 

hope it clear im still on my first cup of coffee

You want to have another cup of coffee and explain that :P ?

So your saying if the host automatically enabled (What? php 7, php 5.6 the file in question?) What function ? Most shared hosting have what you need. BUT what most FREE Shared hosting has is restrictions.

Share this post


Link to post
Share on other sites
  • 0
killshandra    85
8 hours ago, Cookie Monster said:

You want to have another cup of coffee and explain that :P ?

So your saying if the host automatically enabled (What? php 7, php 5.6 the file in question?) What function ? Most shared hosting have what you need. BUT what most FREE Shared hosting has is restrictions.

some shared hosting (at least  happened to me  before changing), did gave a default version 7 set up, that caused error  on ip board

Share this post


Link to post
Share on other sites
  • 0
Cookie Monster    644
26 minutes ago, MedVede said:

Cheers for answers problem was I required to update php version <3

Did you get it resolved? 

Share this post


Link to post
Share on other sites
  • 0
MedVede    1
16 minutes ago, Cookie Monster said:

Did you get it resolved? 

Yes

Share this post


Link to post
Share on other sites
  • 0
Hidden Ninja    184
The question(s) in this support topic have been answered and the topic author has resolved their issue. This topic is now closed. If you have other questions, please open a new topic.

Share this post


Link to post
Share on other sites
What do you think? Remember the human.
Guest
This topic is now closed to further replies.

  • Recently Browsing   0 members

    No registered users viewing this page.

×